Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class DSAKeyPairGenerator

    java.lang.Object
      com.mindbright.jca.security.KeyPairGeneratorSpi
          com.mindbright.jca.security.KeyPairGenerator
              com.mindbright.security.publickey.DSAKeyPairGenerator

public class DSAKeyPairGenerator
extends KeyPairGenerator

Field Summary
`protected int` | `keysize`
`protected DSAParameterSpec` | `params`
`protected SecureRandom` | `random`

Constructor Summary
`DSAKeyPairGenerator()`

Method Summary
`KeyPair` | `generateKeyPair()`
`void` | `initialize(AlgorithmParameterSpec params, SecureRandom random)`
`void` | `initialize(int keysize, SecureRandom random)`

Methods inherited from class com.mindbright.jca.security.KeyPairGenerator
`genKeyPair, getAlgorithm, getInstance, getInstance, getProvider, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected SecureRandom random

### keysize

    protected int keysize

### params

    protected DSAParameterSpec params

Constructor Detail

### DSAKeyPairGenerator

    public DSAKeyPairGenerator()

Method Detail

### initialize

    public void initialize(int keysize,
                           SecureRandom random)

  Overrides:
    `initialize` in class `KeyPairGenerator`

### initialize

    public void initialize(AlgorithmParameterSpec params,
                           SecureRandom random)
                    throws InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `KeyPairGenerator`
  Throws:
    `InvalidAlgorithmParameterException`

### generateKeyPair

    public KeyPair generateKeyPair()

  Overrides:
    `generateKeyPair` in class `KeyPairGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD